{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% import 'macros.html.twig' as appMacros %}
{% block title %}Utilisateurs{% endblock %}
{% set _breadcrumb = ['Administration', 'Utilisateurs'] %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if is_granted('user.create') %}
            <a href="{{ path('user.add', {id: producer ? producer.id : null}) }}" class="btn btn-primary pull-right" data-toggle="modal-remote"><span class="fa fa-envelope"></span> &nbsp; Inviter un utilisateur</a>
        {% endif %}
        <h1>Utilisateurs{% if producer %} <small>{{ producer.name }}</small>{% endif %}</h1>
    </section>
    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-body no-padding">
                        {{ form_start(list.form, {'action': app.request.pathinfo, 'method': 'GET'}) }}
                        <table class="table table-responsive table-hover mb-0">
                            <thead>
                                <tr>
                                    {{ knp_pagination_sortable(list.pagination, 'Nom - Prénom', 'u.lastName') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Structure', 'u.organization') }}
                                    {% if not app.user.producer %}
                                        {{ knp_pagination_sortable(list.pagination, 'Producteur', 'p.name') }}
                                    {% endif %}
                                    {{ knp_pagination_sortable(list.pagination, 'Rôle', 'u.role') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Email', 'u.email') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Connexion', 'u.lastLogin') }}
                                    {{ knp_pagination_sortable(list.pagination, 'Statut', 'u.enabled', {'style': 'width: 1px;'}) }}
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="table-filters">
                                    <td>{{ form_widget(list.form.fullName, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.organization, {'attr': {'class': 'input-sm'}}) }}</td>
                                    {% if not app.user.producer %}
                                        <td>{{ form_widget(list.form.producer, {'attr': {'class': 'input-sm'}}) }}</td>
                                    {% endif %}
                                    <td>{{ form_widget(list.form.role, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.email, {'attr': {'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.lastLogin, {'attr': {'disabled': 'disabled', 'class': 'input-sm'}}) }}</td>
                                    <td>{{ form_widget(list.form.status, {'attr': {'class': 'input-sm'}}) }}</td>
                                </tr>
                                {% for user in list.items %}
                                    <tr>
                                        <td>
                                            {% if is_granted('user.edit', user) %}
                                                <a href="{{ path('user.edit', {id: user.id}) }}">{{ user.reverseFullName }}</a>
                                            {% else %}
                                                {{ user.reverseFullName }}
                                            {% endif %}
                                        </td>
                                        <td>{{ user.organization }}</td>
                                        {% if not app.user.producer %}
                                            <td>{{ user.producer ? user.producer.name : '' }}</td>
                                        {% endif %}
                                        <td>{{ appMacros.role_label(user.role) }}</td>
                                        <td><a href="mailto:{{ user.email }}">{{ user.email }}</a></td>
                                        <td>
                                            {% if user.lastLogin is not null %}
                                                <span class="text-muted">{{ (user.lastLogin | moment).calendar() | capitalize }}</span>
                                            {% endif %}
                                        </td>
                                        <td><span class="label label-{{ user.accountStatus.class }}">{{ user.accountStatus.label }}</td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                        {{ form_end(list.form) }}
                    </div>

                    {% if list.pagination | length == 0 %}
                        <div class="blankslate blankslate-spacious">
                            <h3>Aucun utilisateur ne correspond à votre recherche.</h3>
                            <p>Dommage :( Mais vous pouvez <a href="{{ path('user.add') }}">créer un utilisateur</a> !</p>
                        </div>
                    {% endif %}

                    <!-- /.box-body -->
                    {% if list.pageCount > 1 %}
                        <div class="box-footer">
                            {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                        </div>
                    {% endif %}
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
{% endblock %}
